Subject: Re: Perl output dropped when invoking itself
From: Yitzchak Scott-Thoennes <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 28 Nov 2006 10:46:49 -0800
List-Id: <cygwin.cygwin.com>

On Tue, Nov 14, 2006 at 12:09:49PM -0500, Michael Adler wrote:
> I'm having Perl I/O problems on one machine that keep me from getting 
> CPAN installations to work.  On this machine if I execte:
> 
>    perl -e 'print `perl -e "require 5; print qq{VER_OK\n}"`;'
> 
> from bash there is no output.  On all my other machines it prints 
> VER_OK.  ExtUtils::MM_Unix does this test and fails.
> 
> I've looked at all environment variables I can think of, especially 
> CYGWIN, and it is identical on a machine that works and one that fails.  
> Cygwin is up to date on both and Perl version is 5.8.7.  I've tried 
> multiple values of the PERLIO variable with no success.  Replacing the 
> inner invocation of perl with some other command, like cat of a file, 
> works on both machines!  I tried blowing away the entire perl 
> environment and reinstalling. 
> 
> I assume I'm missing something simple.  Hints would be appreciated.

What do these do:
   perl -e 'print `perl -v`'
   perl -e 'print `perl -f -e "require 5; print qq{VER_OK\n}"`;'
   perl -e 'print `perl -f -e "print qq{VER_OK\n}"`;'

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/